Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.io
[Java] Class GroovyPrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              groovy.io.GroovyPrintWriter

    public class GroovyPrintWriter
    extends java.io.PrintWriter

A PrintWriter that outputs objects in Groovy style. That means print(Object) uses InvokerHelper.toString(Object) to produce the same results as Writer.print(Object).

Authors:
  Jim White

Since:
  1.6

Constructor Summary
`GroovyPrintWriter(java.io.File file)`
`GroovyPrintWriter(java.io.File file, java.lang.String csn)`
`GroovyPrintWriter(java.io.Writer out)`
`GroovyPrintWriter(java.io.Writer out, boolean autoflush)`
`GroovyPrintWriter(java.io.OutputStream out)`
`GroovyPrintWriter(java.io.OutputStream out, boolean autoflush)`
`GroovyPrintWriter(java.lang.String filename)`
`GroovyPrintWriter(java.lang.String filename, java.lang.String csn)`

Method Summary
`void` | `print(java.lang.Object x)`
`void` | `println(java.lang.Object x)`

Methods inherited from class java.io.PrintWriter
java.io.PrintWriter#println(), java.io.PrintWriter#println(boolean), java.io.PrintWriter#println(char), java.io.PrintWriter#println(int), java.io.PrintWriter#println(long), java.io.PrintWriter#println(float), java.io.PrintWriter#println(double), java.io.PrintWriter#println([C), java.io.PrintWriter#println(java.lang.String), java.io.PrintWriter#println(java.lang.Object), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(char), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#write(int), java.io.PrintWriter#write([C, int, int), java.io.PrintWriter#write([C), java.io.PrintWriter#write(java.lang.String, int, int), java.io.PrintWriter#write(java.lang.String), java.io.PrintWriter#print(boolean), java.io.PrintWriter#print(char), java.io.PrintWriter#print(int), java.io.PrintWriter#print(long), java.io.PrintWriter#print(float), java.io.PrintWriter#print(double), java.io.PrintWriter#print([C), java.io.PrintWriter#print(java.lang.String), java.io.PrintWriter#print(java.lang.Object), java.io.PrintWriter#flush(), java.io.PrintWriter#close(), java.io.PrintWriter#checkError(), java.io.PrintWriter#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#wait(long), java.io.PrintWriter#wait(long, int), java.io.PrintWriter#wait(), java.io.PrintWriter#equals(java.lang.Object), java.io.PrintWriter#toString(), java.io.PrintWriter#hashCode(), java.io.PrintWriter#getClass(), java.io.PrintWriter#notify(), java.io.PrintWriter#notifyAll()

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write(int), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long), java.io.Writer#wait(long, int), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Constructor Detail

### GroovyPrintWriter

    public GroovyPrintWriter(java.io.File file)

### GroovyPrintWriter

    public GroovyPrintWriter(java.io.File file, java.lang.String csn)

### GroovyPrintWriter

    public GroovyPrintWriter(java.io.Writer out)

### GroovyPrintWriter

    public GroovyPrintWriter(java.io.Writer out, boolean autoflush)

### GroovyPrintWriter

    public GroovyPrintWriter(java.io.OutputStream out)

### GroovyPrintWriter

    public GroovyPrintWriter(java.io.OutputStream out, boolean autoflush)

### GroovyPrintWriter

    public GroovyPrintWriter(java.lang.String filename)

### GroovyPrintWriter

    public GroovyPrintWriter(java.lang.String filename, java.lang.String csn)

Method Detail

### print

    public void print(java.lang.Object x)

### println

    public void println(java.lang.Object x)

Groovy Documentation